<!DOCTYPE html>
<html>
  <head>
    <title>Expandible AD Template</title>
    <style>
      .ocultoExpandido {
        float: left;
        display: none;
      }

      .muestraExpandido {
        float: left;
        display: block;
      }

      .ocultaReplegado {
        display: none;
      }

      .muestraReplegado {
        width: 800px;
        display: block;
        text-align: center;
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
      }
    </style>
  </head>
  <body onload="eplOnload()">
      <h1>Expandible AD Template</h1>
      <div id="replegado" class="muestraReplegado">
        <a onclick="window.open(window.clickTag); return false" href="#!">
          <img src="images/Expandible_1.jpg" width="100%">
        </a>
      </div>

      <div id="expandido" class="ocultoExpandido">
        <a onclick="window.open(window.clickTag); return false" href="#!">
          <img src="images/Expandible_2.jpg" width="800px"/>
        </a>
      </div>  
    <script>

		var EPL = new eplBuilder().create(eplFormats.expandibleRollover);

      function eplOnload() {
        var replegado = document.getElementById('replegado');
        var expandido = document.getElementById('expandido');
        var realizarComplete = false;
        var seCompleto = false;

        function expande() {
          replegado.className = 'ocultaReplegado';
          expandido.className = 'muestraExpandido';
          realizarComplete = true;
          AnuncioCompleto();
          EPL.adExpand();
        }

        function repliega() {
          expandido.className = 'ocultoExpandido';
          replegado.className = 'muestraReplegado';
          realizarComplete = false;
          EPL.adShrink();
        }

        function AnuncioCompleto() {
          setTimeout(function() {
            if (seCompleto == false) {
              if (realizarComplete == true) {
                seCompleto = true;
                EPL.adComplete();
              }
            }
          }, 8000);
        }

        replegado.onmouseover = function() {
          expande();
        };
        expandido.onmouseout = function() {
          repliega();
        };
      }
    </script>
  </body>
</html>
